This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 362341 - Small one-time memory leak of configdir at startup
Small one-time memory leak of configdir at startup
Status: CLOSED CURRENTRELEASE
Product: 389
Classification: Community
Component: Directory Server (Show other bugs)
1.1.0
All Linux
high Severity low
: ---
: ---
Assigned To: Nathan Kinder
Viktor Ashirov
:
Depends On:
Blocks: 389_1.3.0 639035
  Show dependency treegraph
 
Reported: 2007-11-01 14:50 EDT by Nathan Kinder
Modified: 2015-12-07 12:01 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 12:01:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
CVS Diffs (921 bytes, patch)
2007-11-01 14:51 EDT, Nathan Kinder
no flags Details | Diff

  None (edit)
Description Nathan Kinder 2007-11-01 14:50:37 EDT
I noticed a small one-time memory leak at startup when running the server in
valgrind.  Here's the leak report:

==7983== 26 bytes in 1 blocks are definitely lost in loss record 8 of 39
==7983==    at 0x4004405: malloc (vg_replace_malloc.c:149)
==7983==    by 0xA5E3AF: strdup (in /lib/tls/libc-2.3.4.so)
==7983==    by 0x4031974: slapi_ch_strdup (ch_malloc.c:276)
==7983==    by 0x4050B6F: config_get_configdir (libglobs.c:4484)
==7983==    by 0x8051F5D: ??? (auth.c:281)
==7983==    by 0x8060BD1: ??? (main.c:924)
==7983==    by 0xA09DE2: (below main) (in /lib/tls/libc-2.3.4.so)
Comment 1 Nathan Kinder 2007-11-01 14:51:56 EDT
Created attachment 245961 [details]
CVS Diffs
Comment 4 Rich Megginson 2009-04-09 13:51:05 EDT
We should reduce the valgrind noise
Comment 6 Nathan Kinder 2010-12-10 16:23:22 EST
This has already been fixed (presumably from the Coverity work that was done).  Marking this as MODIFIED.

Note You need to log in before you can comment on or make changes to this bug.